POST restapi/personal/learningrecordstore/partners/{partnerId}/organisations/v1
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| partnerId | integer |
Required |
Body Parameters
Itslearning.RestApi.Entities.LearningRecordStore.OrganisationTreeModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ReadOnly |
Gets or sets a value indicating whether the organisation is read-only. If it is a read only it cannot be selected. It is there to maintain the tree structure. |
boolean |
None. |
| IsOrganisation |
If this is a organisation level. Sometimes this is only a hierarchy node to group organisations. |
boolean |
None. |
| Children |
Gets or sets the child organisations. |
Collection of Itslearning.RestApi.Entities.LearningRecordStore.OrganisationTreeModel |
None. |
| Selected |
If the organisation is associated with the partner or not. This is used when updating the organisations for a partner, to know which organisations to add or remove. |
boolean |
None. |
| OrganisationId |
Gets or sets the organisation ID. |
integer |
None. |
| Name |
Gets or sets the name of the organisation. |
string |
None. |
| Type |
Type of organisation. |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"readOnly": true,
"isOrganisation": true,
"children": [
{
"readOnly": true,
"isOrganisation": true,
"children": null,
"selected": true,
"organisationId": 4,
"name": "sample string 5",
"type": "sample string 6"
},
{
"readOnly": true,
"isOrganisation": true,
"children": null,
"selected": true,
"organisationId": 4,
"name": "sample string 5",
"type": "sample string 6"
}
],
"selected": true,
"organisationId": 4,
"name": "sample string 5",
"type": "sample string 6"
}
application/xml, text/xml
Sample:
<OrganisationTreeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<Name>sample string 5</Name>
<OrganisationId>4</OrganisationId>
<Type>sample string 6</Type>
<Children>
<OrganisationTreeModel>
<Name>sample string 5</Name>
<OrganisationId>4</OrganisationId>
<Type>sample string 6</Type>
<Children i:nil="true" />
<IsOrganisation>true</IsOrganisation>
<ReadOnly>true</ReadOnly>
<Selected>true</Selected>
</OrganisationTreeModel>
<OrganisationTreeModel>
<Name>sample string 5</Name>
<OrganisationId>4</OrganisationId>
<Type>sample string 6</Type>
<Children i:nil="true" />
<IsOrganisation>true</IsOrganisation>
<ReadOnly>true</ReadOnly>
<Selected>true</Selected>
</OrganisationTreeModel>
</Children>
<IsOrganisation>true</IsOrganisation>
<ReadOnly>true</ReadOnly>
<Selected>true</Selected>
</OrganisationTreeModel>
application/x-www-form-urlencoded
Sample:
No sample available
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.